Subject: Re: [PATCH] clone: ignore invalid local refs in remote

From: Junio C Hamano <[email-masked]>
Date: Thu, 21 Apr 2022 11:00:16 -0700

Derrick Stolee <[email-masked]> writes:

> Sorry, this title of the commit message is stale from a version
> where I started making the clones succeed (but without these
> bad refs). I changed my mind to only switch BUG() to die() to
> avoid giving the impression that we have a "matching" repo after
> the clone.

Ah, that figures ;-)

> Perhaps the commit could instead start with
>
> 	clone: die() instead of BUG() on bad refs
>
> ?

Yeah, it would be the title I would have been happy with.